# import Hackathon from './generated/prisma.graphql'
# import Edition from './generated/prisma.graphql'

type Query {
  getEditions(quantity: Int): [Edition]
  getHackathons: [Hackathon]
  # getFortuneCookie: String,
  # posts(searchString: String): [Post!]!
  # person(id: ID!): Person
}

type Mutation {
  newHackathon(name: String): Hackathon
  newEdition(hackathonId:String, description: String, location: String, requierement: String, reg_period_start: String, reg_period_end: String, date_start: String, date_end: String, theme: String, rules: String): Edition
}

#   createDraft(authorId: ID!, title: String!, content: String!): Post
#   publish(id: ID!): Post
#   deletePost(id: ID!): Post
#   signup(name: String!): Person!
#  }
